Index: SPECS/vnc.spec
===================================================================
--- SPECS.orig/vnc.spec
+++ SPECS/vnc.spec
@@ -1,10 +1,15 @@
 %define vnc_version 4_1_2
 %define java_vnc_version 4_1
+%ifnarch %{arm}
+%define build_java 1
+%else
+%define build_java 0
+%endif
 
 Summary:   A remote display system
 Name:      vnc
 Version:   4.1.2
-Release:   18%{?dist}
+Release:   18.fa1%{?dist}
 URL:       http://www.realvnc.com
 Source0:   http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
 Source1:   http://www.realvnc.com/dist/vnc-%{java_vnc_version}-javasrc.tar.gz
@@ -43,7 +48,9 @@ BuildRoot: %{_tmppath}/%{name}-%{version
 BuildRequires: perl 
 BuildRequires: zlib-devel libjpeg-devel
 BuildRequires: desktop-file-utils >= 0.2.92
+%if %{build_java}
 BuildRequires: gcc-java
+%endif
 BuildRequires: autoconf,  automake, libtool, flex, bison, pkgconfig, patchutils
 BuildRequires: expat-devel, freetype-devel
 BuildRequires: libX11-devel, xorg-x11-xtrans-devel, libXau-devel
@@ -132,10 +139,13 @@ autoreconf --install --force
 %configure
 make %{?_smp_mflags}
 
+%if %{build_java}
 cd ../vnc-%{java_vnc_version}-javasrc/java
 make JAVAC="gcj -C" JAR=fastjar %{?_smp_mflags}
+cd ..
+%endif
 
-cd ../../unix
+cd ../unix
 autoreconf --install --force
 %configure
 make %{?_smp_mflags}
@@ -188,8 +198,10 @@ cd xorg-x11-server-source/hw/vnc
 make install DESTDIR=$RPM_BUILD_ROOT
 cd ../../../
 
+%if %{build_java}
 mkdir -p $RPM_BUILD_ROOT%{_datadir}/vnc/classes
 cp -a ../vnc-%{java_vnc_version}-javasrc/java/{index.vnc,logo150x150.gif,vncviewer.jar} $RPM_BUILD_ROOT%{_datadir}/vnc/classes
+%endif
 
 mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
 install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/vncserver
@@ -300,7 +312,9 @@ fi
 %{_bindir}/vncconfig
 %{_bindir}/vncserver
 %{_bindir}/x0vncserver
+%if %{build_java}
 %{_datadir}/vnc
+%endif
 %{_mandir}/man1/Xvnc.1*
 %{_mandir}/man1/vncpasswd.1*
 %{_mandir}/man1/vncconfig.1*
